# Entry Hierarchy

## Add an entry as a child or parent to another entry

<mark style="color:blue;">`GET`</mark> `https://api.echo3d.com/hierarchy?key=<API_KEY>&email=<EMAIL>&userKey=<USER_KEY>&entry=<ENTRY_ID>&operation=<OPERATION>&relatedToEntryId=<RELATED_TO_ENTRY_ID>`

#### Path Parameters

| Name                                               | Type   | Description                                                                                                                             |
| -------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>              | string | Your API key                                                                                                                            |
| entryId<mark style="color:red;">\*</mark>          | string | Entry ID to add either a Child or Parent to                                                                                             |
| email<mark style="color:red;">\*</mark>            | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark>          | string | Your authentication key                                                                                                                 |
| operation<mark style="color:red;">\*</mark>        | string | Either addParent or addChild                                                                                                            |
| relatedToEntryId<mark style="color:red;">\*</mark> | string | The Entry ID of the entry to be added as a Child or Parent                                                                              |
| secKey                                             | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echo3d.com/api/entry-hierarchy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
